# Test failure scenarios - verify error messages show script output, not file paths
providers:
  - id: echo

prompts:
  - '{{prompt}}'

tests:
  # Test 1: equals failure - should show script output in error
  - description: 'equals failure shows script output in error message'
    vars:
      prompt: 'wrong value'
    assert:
      - type: equals
        value: file://rubric-generator.cjs:knownValue

  # Test 2: contains failure - should show script output in error
  - description: 'contains failure shows script output in error message'
    vars:
      prompt: 'no match here'
    assert:
      - type: contains
        value: file://rubric-generator.cjs:knownValue

  # Test 3: starts-with failure
  - description: 'starts-with failure shows script output'
    vars:
      prompt: 'different start'
    assert:
      - type: starts-with
        value: file://rubric-generator.cjs:knownValue
